{
  "name": "back",
  "version": "0.0.1",
  "description": "",
  "author": "",
  "license": "MIT",
  "scripts": {
    "prebuild": "rimraf dist",
    "build": "nest build",
    "format": "prettier --write \"src/**/*.ts\" \"test/**/*.ts\"",
    "start": "nest start",
    "start:dev": "nest start --watch",
    "start:debug": "nest start --debug --watch",
    "start:prod": "node dist/main",
    "lint": "eslint '{src,apps,libs,test}/**/*.ts' --fix",
    "test": "jest",
    "test:watch": "jest --watch",
    "test:cov": "jest --coverage",
    "test:debug": "node --inspect-brk -r tsconfig-paths/register -r ts-node/register node_modules/.bin/jest --runInBand",
    "test:e2e": "jest --config ./test/jest-e2e.json"
  },
  "dependencies": {
    "@nestjs/common": "^6.10.14",
    "@nestjs/config": "^0.4.0",
    "@nestjs/core": "^6.10.14",
    "@nestjs/platform-express": "^6.10.14",
    "@nestjs/sequelize": "^0.1.0",
    "cache-manager": "^3.2.1",
    "class-transformer": "^0.2.3",
    "class-validator": "^0.11.0",
    "fix": "0.0.6",
    "pg": "^7.18.1",
    "pg-hstore": "^2.3.3",
    "reflect-metadata": "^0.1.13",
    "rimraf": "^3.0.0",
    "rxjs": "^6.5.4",
    "rxjs-compat": "^6.5.4",
    "sequelize": "^5.21.5",
    "sequelize-cli": "^5.5.1",
    "sequelize-typescript": "^1.1.0"
  },
  "devDependencies": {
    "@nestjs/cli": "^6.13.2",
    "@nestjs/schematics": "^6.8.1",
    "@nestjs/testing": "^6.10.14",
    "@types/express": "^4.17.2",
    "@types/jest": "25.1.1",
    "@types/node": "^13.1.6",
    "@types/sequelize": "^4.28.8",
    "@types/supertest": "^2.0.8",
    "@typescript-eslint/eslint-plugin": "^2.12.0",
    "@typescript-eslint/parser": "^2.12.0",
    "eslint": "^6.7.2",
    "eslint-config-prettier": "^6.7.0",
    "eslint-plugin-import": "^2.19.1",
    "jest": "^24.9.0",
    "prettier": "^1.18.2",
    "supertest": "^4.0.2",
    "ts-jest": "25.1.0",
    "ts-loader": "^6.2.1",
    "ts-node": "^8.6.0",
    "tsconfig-paths": "^3.9.0",
    "typescript": "^3.7.4"
  },
  "jest": {
    "moduleFileExtensions": [
      "js",
      "json",
      "ts"
    ],
    "rootDir": "src",
    "testRegex": ".spec.ts$",
    "transform": {
      "^.+\\.(t|j)s$": "ts-jest"
    },
    "coverageDirectory": "../coverage",
    "testEnvironment": "node"
  }
}
